[FFmpeg-devel] [PATCH] faad2 version 2.5 support

Frank Liu gfrankliu
Sat Oct 6 18:06:17 CEST 2007

On 10/6/07, Dominik 'Rathann' Mierzejewski <dominik at rangers.eu.org> wrote:
> On Saturday, 06 October 2007 at 02:01, Ivan Kalvachev wrote:
> > 2007/10/6, Frank Liu <gfrankliu at gmail.com>:
> > [...]
> > >
> > > If I apply my patch and rebuild ffmpeg, same command runs without any errors.
> > >
> > > Thoughts?
> Your FAAD2 has been patched not to include backward compatibility APIs.

Hi Dominik,
Can you please try the same mp4 file and run the command on your
system, and post the result back? I can confirm that I did not patch
FAAD2 yesterday when I built it. Besides, if the compatibility is
removed, ffmpeg will not even compile.

> > I think your patch would break building of the older FAAD (FAAC?) versions.
> Indeed.

Agree, we will need to do some chechkings in "configure" and some
ifdefs in codes. My patch is just my quick way to get it work for FAAD


More information about the ffmpeg-devel mailing list